## wireshark 4.6.3

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
if(DEFINED ENV{FORCE_CMAKE_NINJA_NON_VERBOSE})
	#
	# Forcibly unset CMAKE_VERBOSE_MAKEFILE,
	# to make *CERTAIN* that we don't do
	# anything verbose here!
	#
	unset(CMAKE_VERBOSE_MAKEFILE CACHE)
endif()

# https://doc.qt.io/qt-6/cmake-supported-cmake-versions.html
cmake_minimum_required(VERSION 3.20)
if(POLICY CMP0135)
	cmake_policy(SET CMP0135 NEW)
endif()

if(WIN32 AND NOT DEFINED ENV{MSYSTEM})
	set(_project_name Wireshark)
	set(STRATOSHARK_NAME Stratoshark)
else()
	set(_project_name wireshark)
	set(STRATOSHARK_NAME stratoshark)
endif()

project(${_project_name} C CXX)

if(WIN32)
	set(_msystem False)
	set(_repository False)
	if(DEFINED ENV{MSYSTEM})
		set(_msystem $ENV{MSYSTEM})
		message(STATUS "Using MSYS2 with MSYSTEM=${_msystem}")
	elseif(MSVC)
		set(_repository True)
		message(STATUS "Using 3rd party repository")
	else()
		# Neither own package repository nor MSYS2 repository.
	endif()
	set(USE_MSYSTEM ${_msystem} CACHE INTERNAL "Use MSYS2 subsystem")
	set(HAVE_MSYSTEM ${USE_MSYSTEM}) # For config.h
	set(USE_REPOSITORY ${_repository} CACHE INTERNAL "Use Wireshark 3rd Party Repository")
endif()

# Updated by tools/make-version.py
set(PROJECT_MAJOR_VERSION 4)
set(PROJECT_MINOR_VERSION 6)
set(PROJECT_PATCH_VERSION 3)
set(PROJECT_BUILD_VERSION 0)
set(PROJECT_VERSION_EXTENSION "")

if(DEFINED ENV{WIRESHARK_VERSION_EXTRA})
	set(PROJECT_VERSION_EXTENSION "$ENV{WIRESHARK_VERSION_EXTRA}")
endif()

set(PROJECT_VERSION "${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION}")

set(STRATOSHARK_MAJOR_VERSION 0)
set(STRATOSHARK_MINOR_VERSION 9)
set(STRATOSHARK_PATCH_VERSION 3)
set(STRATOSHARK_BUILD_VERSION 0)
set(STRATOSHARK_VERSION_EXTENSION "")

if(DEFINED ENV{STRATOSHARK_VERSION_EXTRA})
	set(STRATOSHARK_VERSION_EXTENSION "$ENV{STRATOSHARK_VERSION_EXTRA}")
endif()

set(STRATOSHARK_VERSION "${STRATOSHARK_MAJOR_VERSION}.${STRATOSHARK_MINOR_VERSION}.${STRATOSHARK_PATCH_VERSION}${STRATOSHARK_VERSION_EXTENSION}")

include( CMakeOptions.txt )

# We require minimum C11
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# We require minimum C++11. libscap and libsinsp require C++ 17.
if(BUILD_stratoshark OR BUILD_falcodump)
	set(CMAKE_CXX_STANDARD 17)
else()
	set(CMAKE_CXX_STANDARD 11)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

message(STATUS "Generating build using CMake ${CMAKE_VERSION}")

if(USE_MSYSTEM)
	# Prevent FindPython3.cmake from using the Python path in the registry,
	# only use the $PATH environment variable (which is set up for MSYS2).
	set(Python3_FIND_REGISTRY NEVER)
endif()
find_package(Python3 3.6 REQUIRED)

# Strawberry is a web browser away from being its own operating system. Find
# Perl before finding anything else so that we can avoid building with any of
# of Strawberry's components. Adding Strawberry's "/c" subdirectory to
# CMAKE_IGNORE_PREFIX_PATH should help us avoid pulling in libraries such as
# zlib and executables such as xsltproc. CMake 3.29.1 and later ignores their
# pkg-config: https://gitlab.kitware.com/cmake/cmake/-/merge_requests/9375
find_package(Perl)
if(WIN32 AND PERL_EXECUTABLE)
	string(TOLOWER ${PERL_EXECUTABLE} lower_perl)
	if (${lower_perl} MATCHES "^.:/strawberry/")
		string(REGEX REPLACE "^(.:/[^/]+).*" "\\1" strawberry_prefix ${PERL_EXECUTABLE})
		# CMAKE_IGNORE_PREFIX_PATH must be an exact installation prefix.
		list(APPEND CMAKE_IGNORE_PREFIX_PATH "${strawberry_prefix}/c")
		message(STATUS "Added ${strawberry_prefix}/c to CMAKE_IGNORE_PREFIX_PATH")
		unset(lower_perl)
		unset(strawberry_prefix)
	endif()
endif()


# Set a default build type if none was specified
set(_default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	set(CMAKE_BUILD_TYPE "${_default_build_type}" CACHE STRING "Choose the type of build." FORCE)
	# Set the possible values of build type for cmake-gui
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Build type is ignored by multi-config generators.
if (NOT CMAKE_CONFIGURATION_TYPES)
	message(STATUS "Using \"${CMAKE_GENERATOR}\" generator and build type \"${CMAKE_BUILD_TYPE}\"")
else()
	message(STATUS "Using \"${CMAKE_GENERATOR}\" generator (multi-config)")
endif()

#Where to find local cmake scripts
set(WS_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${WS_CMAKE_MODULE_PATH})

# CMake >= 3.9.0 supports LTO/IPO.
if (ENABLE_LTO)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT lto_supported OUTPUT lto_output)
	if(lto_supported)
		set(CMAKE_INTERPROCEDURAL_OPTIMIZATION_RELEASE TRUE)
		message(STATUS "LTO/IPO is enabled for Release configuration")
	else()
		message(STATUS "LTO/IPO requested but it is not supported by the compiler: ${lto_output}")
	endif()
else()
	message(STATUS "LTO/IPO is not enabled")
endif()

# If our target platform is enforced by our generator, set
# WIRESHARK_TARGET_PLATFORM accordingly. Otherwise use
# %WIRESHARK_TARGET_PLATFORM%.

if(WIN32)
	if(DEFINED ENV{WIRESHARK_TARGET_PLATFORM})
		string(TOLOWER $ENV{WIRESHARK_TARGET_PLATFORM} _target_platform)
		set(WIRESHARK_TARGET_PLATFORM ${_target_platform})
	elseif(USE_MSYSTEM MATCHES "MINGW64|CLANG64|UCRT64")
		# https://www.msys2.org/docs/environments
		#    MSYS2 comes with different environments/subsystems and
		#    the first thing you have to decide is which one to use.
		#    The differences among the environments are mainly environment
		#    variables, default compilers/linkers, architecture,
		#    system libraries used etc. If you are unsure, go with UCRT64.
		set(WIRESHARK_TARGET_PLATFORM x64)
	elseif(USE_MSYSTEM)
		if($ENV{MSYSTEM_CARCH} MATCHES "x86_64")
			set(WIRESHARK_TARGET_PLATFORM x64)
		elseif($ENV{MSYSTEM_CARCH} MATCHES "i686")
			set(WIRESHARK_TARGET_PLATFORM win32)
		elseif($ENV{MSYSTEM_CARCH} MATCHES "aarch64")
			set(WIRESHARK_TARGET_PLATFORM "arm64")
		else()
			set(WIRESHARK_TARGET_PLATFORM "$ENV{MSYSTEM_CARCH}")
		endif()
	elseif($ENV{Platform} MATCHES arm64 OR CMAKE_GENERATOR_PLATFORM MATCHES arm64)
		set(WIRESHARK_TARGET_PLATFORM arm64)
	elseif(CMAKE_CL_64 OR CMAKE_GENERATOR MATCHES x64)
		set(WIRESHARK_TARGET_PLATFORM x64)
	else()
		message(WARNING "Assuming \"x64\" target platform")
		set(WIRESHARK_TARGET_PLATFORM x64)
	endif()

	if(WIRESHARK_TARGET_PLATFORM MATCHES "win32")
		message(FATAL_ERROR "Deprecated target platform ${WIRESHARK_TARGET_PLATFORM}. See https://gitlab.com/wireshark/wireshark/-/issues/17779 for details.")
	elseif(NOT (WIRESHARK_TARGET_PLATFORM MATCHES "x64" OR WIRESHARK_TARGET_PLATFORM MATCHES "arm64"))
		message(FATAL_ERROR "Invalid target platform: ${WIRESHARK_TARGET_PLATFORM}")
	endif()

	# Sanity check
	if(MSVC AND DEFINED ENV{PLATFORM})
		string(TOLOWER $ENV{PLATFORM} _vs_platform)
		if(
			(_vs_platform STREQUAL "x64" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "x64")
			OR
			(_vs_platform STREQUAL "arm64" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "arm64")
		)
			message(FATAL_ERROR "The PLATFORM environment variable (${_vs_platform})"
				" doesn't match the generator platform (${WIRESHARK_TARGET_PLATFORM})")
		endif()
	endif()

	message(STATUS
		"Building for ${WIRESHARK_TARGET_PLATFORM}"
	)

	if(NOT CMAKE_CROSSCOMPILING)
		find_package(PowerShell REQUIRED)
	endif()

	# Determine where the 3rd party libraries will be
	if(USE_REPOSITORY)
		if( DEFINED ENV{WIRESHARK_LIB_DIR} )
			# The buildbots set WIRESHARK_LIB_DIR but not WIRESHARK_BASE_DIR.
			file( TO_CMAKE_PATH "$ENV{WIRESHARK_LIB_DIR}" _PROJECT_LIB_DIR )
		elseif( DEFINED ENV{WIRESHARK_BASE_DIR} )
			file( TO_CMAKE_PATH "$ENV{WIRESHARK_BASE_DIR}" _WS_BASE_DIR )
			set( _PROJECT_LIB_DIR "${_WS_BASE_DIR}/wireshark-${WIRESHARK_TARGET_PLATFORM}-libs-4.6" )
		else()
			# Don't know what to do
			message(FATAL_ERROR "Neither WIRESHARK_BASE_DIR or WIRESHARK_LIB_DIR are defined")
		endif()

		include(FetchArtifacts)

		set(EXTRA_INSTALLER_DIR ${_PROJECT_LIB_DIR})

		# XXX Add a dependency on ${_ws_lib_dir}/current_tag.txt?
	else()
		set(EXTRA_INSTALLER_DIR ${CMAKE_BINARY_DIR}/packaging/nsis)
	endif()

	include(FetchContent)

	set(LIBS_URL "https://dev-libs.wireshark.org/windows/packages")
	file(TO_CMAKE_PATH ${EXTRA_INSTALLER_DIR} _file_download_dir)

	# Download Npcap required by the Windows installer
	set(NPCAP_VERSION "1.83")
	set(NPCAP_SHA256 "1bf58936296992d6b03e6c36621ca8239a786c13b89d761d210fa21731567ac0")
	set(NPCAP_FILENAME "npcap-${NPCAP_VERSION}.exe")
	set(NPCAP_URL "${LIBS_URL}/Npcap/${NPCAP_FILENAME}")
	FetchContent_Declare(Npcap
		URL ${NPCAP_URL}
		DOWNLOAD_DIR ${_file_download_dir}
		URL_HASH SHA256=${NPCAP_SHA256}
		DOWNLOAD_NO_EXTRACT True
	)

	# Download USBPcap required by the Windows installer
	set(USBPCAP_VERSION "1.5.4.0")
	set(USBPCAP_SHA256 "87a7edf9bbbcf07b5f4373d9a192a6770d2ff3add7aa1e276e82e38582ccb622")
	set(USBPCAP_FILENAME "USBPcapSetup-${USBPCAP_VERSION}.exe")
	set(USBPCAP_URL "${LIBS_URL}/USBPcap/${USBPCAP_FILENAME}")
	FetchContent_Declare(USBPcap
		URL ${USBPCAP_URL}
		DOWNLOAD_DIR ${_file_download_dir}
		URL_HASH SHA256=${USBPCAP_SHA256}
		DOWNLOAD_NO_EXTRACT True
	)
endif(WIN32)

if(APPLE AND WIRESHARK_BASE_DIR)
	include(FetchArtifacts)
else()
	set(OSX_APP_LIBPREFIX "/usr/local")
endif()

include(UseCustomIncludes)
ADD_CUSTOM_CMAKE_INCLUDE()

# Ensure that all executables and libraries end up in the same directory. Actual
# files might end up in a configuration subdirectory, e.g. run/Debug or
# run/Release. We try to set DATAFILE_DIR to actual location below.
if(NOT ARCHIVE_OUTPUT_PATH)
	set(ARCHIVE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all archives.")
endif()
if(NOT EXECUTABLE_OUTPUT_PATH)
	set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all executables.")
endif()
if(NOT LIBRARY_OUTPUT_PATH)
	set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all libraries.")
endif()

#
# The release mode (CMAKE_BUILD_TYPE=release) defines NDEBUG for
# the Unix Makefile generator.
#

# Defines CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_DATADIR, etc ...
if(WIN32 AND NOT USE_MSYSTEM)
	# Override some values on Windows, to match the existing
	# convention of installing everything to a single root folder.
	set(CMAKE_INSTALL_BINDIR ".")
	set(CMAKE_INSTALL_LIBDIR ".")
	set(CMAKE_INSTALL_INCLUDEDIR "include")
	set(CMAKE_INSTALL_DATADIR ".")
	set(CMAKE_INSTALL_DOCDIR ".")
endif()
include(GNUInstallDirs)

set(PROJECT_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")

# Make sure our executables can load our libraries if we install into
# a non-default directory on Unix-like systems other than macOS.
# https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/RPATH-handling
set(LIBRARY_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}")
set(EXECUTABLE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}")
set(EXTCAP_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}")
if(NOT (WIN32 OR APPLE OR USE_STATIC))
	# Try to set a RPATH for installed binaries if the library directory is
	# not already included in the default search list.
	list(FIND CMAKE_C_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" IS_SYSTEM_DIR)
	if(IS_SYSTEM_DIR EQUAL -1)
		# Some systems support $ORIGIN in RPATH to enable relocatable
		# binaries. In other cases, only absolute paths can be used.
		# https://www.lekensteyn.nl/rpath.html
		#
		# Also note that some systems (notably those using GNU libc)
		# silently ignore $ORIGIN in RPATH for binaries that are
		# setuid root or use privileged capabilities.
		#
		if(CMAKE_SYSTEM_NAME MATCHES "^(Linux|SunOS|FreeBSD)$")
			set(_enable_rpath_origin TRUE)
		else()
			set(_enable_rpath_origin FALSE)
		endif()

		# Provide a knob to optionally force absolute rpaths,

=== epan/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_definitions(
		${LIBXML2_DEFINITIONS}
		${KERBEROS_DEFINITIONS}
)

add_subdirectory(crypt)
add_subdirectory(dfilter)
add_subdirectory(dissectors)
add_subdirectory(ftypes)

if(LUA_FOUND)
	add_subdirectory(wslua)
endif()

add_custom_command(
	OUTPUT ps.c
	COMMAND ${Python3_EXECUTABLE}
		${CMAKE_SOURCE_DIR}/tools/rdps.py
		${CMAKE_CURRENT_SOURCE_DIR}/print.ps
		ps.c
	DEPENDS
		${CMAKE_SOURCE_DIR}/tools/rdps.py
		${CMAKE_CURRENT_SOURCE_DIR}/print.ps
)

set(LIBWIRESHARK_PUBLIC_HEADERS
	addr_resolv.h
	address.h
	address_types.h
	afn.h
	aftypes.h
	app_mem_usage.h
	arcnet_pids.h
	arptypes.h
	asn1.h
	ax25_pids.h
	bridged_pids.h
	capture_dissectors.h
	charsets.h
	chdlctypes.h
	cisco_pid.h
	color_filters.h
	column.h
	column-info.h
	column-utils.h
	conversation.h
	conversation_debug.h
	conversation_table.h
	conv_id.h
	crc10-tvb.h
	crc16-tvb.h
	crc32-tvb.h
	crc6-tvb.h
	crc8-tvb.h
	decode_as.h
	disabled_protos.h
	conversation_filter.h
	dccpservicecodes.h
	dvb_chartbl.h
	eap.h
	eapol_keydes_types.h
	epan.h
	epan_dissect.h
	etypes.h
	ex-opt.h
	except.h
	exceptions.h
	expert.h
	export_object.h
	exported_pdu.h
	fifo_string_cache.h
	filter_expressions.h
	follow.h
	frame_data.h
	frame_data_sequence.h
	funnel.h
	#geoip_db.h
	golay.h
	guid-utils.h
	iana_charsets.h
	iax2_codec_type.h
	in_cksum.h
	introspection.h
	iana-ip.h
	ip_opts.h
	ipproto.h
	lapd_sapi.h
	llcsaps.h
	maxmind_db.h
	media_params.h
	next_tvb.h
	nghttp2_hd_huffman.h
	nlpid.h
	oids.h
	osi-utils.h
	oui.h
	packet.h
	packet_info.h
	params.h
	pci-ids.h
	plugin_if.h
	ppptypes.h
	print.h
	print_stream.h
	prefs.h
	prefs-int.h
	proto.h
	proto_data.h
	ps.h
	ptvcursor.h
	range.h
	reassemble.h
	reedsolomon.h
	register.h
	req_resp_hdrs.h
	rtd_table.h
	sctpppids.h
	secrets.h
	show_exception.h
	slow_protocol_subtypes.h
	sminmpec.h
	srt_table.h
	stat_tap_ui.h
	stat_groups.h
	stats_tree.h
	stats_tree_priv.h
	stream.h
	strutil.h
	t35.h
	tap.h
	tap-voip.h
	timestamp.h
	timestats.h
	tfs.h
	to_str.h
	tvbparse.h
	tvbuff.h
	tvbuff-int.h
	uat.h
	uat-int.h
	unit_strings.h
	wmem_scopes.h
	wscbor.h
	wscbor_enc.h
)

set(LIBWIRESHARK_HEADER_FILES
	${LIBWIRESHARK_PUBLIC_HEADERS}
)

set(LIBWIRESHARK_NONGENERATED_FILES
	addr_resolv.c
	address_types.c
	afn.c
	aftypes.c
	app_mem_usage.c
	asn1.c
	capture_dissectors.c
	charsets.c
	color_filters.c
	column.c
	column-utils.c
	conversation.c
	conversation_table.c
	crc10-tvb.c
	crc16-tvb.c
	crc32-tvb.c
	crc6-tvb.c
	crc8-tvb.c
	decode_as.c
	disabled_protos.c
	conversation_filter.c
	dvb_chartbl.c
	enterprises.c
	epan.c
	ex-opt.c
	except.c
	expert.c
	export_object.c
	exported_pdu.c
	fifo_string_cache.c
	filter_expressions.c
	follow.c
	frame_data.c
	frame_data_sequence.c
	funnel.c
	#geoip_db.c
	golay.c
	guid-utils.c
	iana_charsets.c
	iana-ip.c
	in_cksum.c
	introspection.c
	ipproto.c
	manuf.c
	maxmind_db.c
	media_params.c
	next_tvb.c
	nghttp2_hd_huffman_data.c
	oids.c
	osi-utils.c
	packet.c
	pci-ids.c
	plugin_if.c
	print.c
	print_stream.c
	prefs.c
	proto.c
	proto_data.c
	range.c
	reassemble.c
	reedsolomon.c
	register.c
	req_resp_hdrs.c
	rtd_table.c
	sctpppids.c
	secrets.c
	sequence_analysis.c
	services.c
	show_exception.c
	srt_table.c
	stat_tap_ui.c
	stats_tree.c
	strutil.c
	stream.c
	t35.c
	tap.c
	timestamp.c
	timestats.c
	tfs.c
	to_str.c
	tvbparse.c
	tvbuff.c
	tvbuff_base64.c
	tvbuff_brotli.c
	tvbuff_snappy.c
	tvbuff_composite.c
	tvbuff_hpackhuff.c
	tvbuff_real.c
	tvbuff_subset.c
	tvbuff_zlib.c
	tvbuff_zstd.c
	tvbuff_lz77.c
	tvbuff_lz77huff.c
	tvbuff_lznt1.c
	tvbuff_rdp.c
	uat.c
	wscbor.c
	wscbor_enc.c
	unit_strings.c
	wmem_scopes.c
	protobuf-helper.c
	protobuf_lang_tree.c
	${CMAKE_CURRENT_BINARY_DIR}/ps.c
)

set(LIBWIRESHARK_FILES ${LIBWIRESHARK_NONGENERATED_FILES})

add_lex_files(LEX_FILES LIBWIRESHARK_FILES
	uat_load.l
	protobuf_lang_scanner.l
)

add_lemon_files(LEMON_FILES LIBWIRESHARK_FILES
	protobuf_lang_parser.lemon
)

set_source_files_properties(
	${LIBWIRESHARK_NONGENERATED_FILES}
	PROPERTIES
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_library(epan
	#Included so that Visual Studio can properly put header files in solution
	${LIBWIRESHARK_HEADER_FILES}

	${LIBWIRESHARK_FILES}
	$<TARGET_OBJECTS:crypt>
	$<TARGET_OBJECTS:dfilter>
	$<TARGET_OBJECTS:dissectors>
	$<TARGET_OBJECTS:dissectors-corba>
	$<TARGET_OBJECTS:dissector-registration>
	$<TARGET_OBJECTS:ftypes>
	$<$<BOOL:${LUA_FOUND}>:$<TARGET_OBJECTS:wslua>>
	${CMAKE_BINARY_DIR}/resources/libwireshark.rc
)

set_target_properties(epan PROPERTIES
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	LINK_FLAGS "${WS_LINK_FLAGS}"
	VERSION "19.0.3" SOVERSION 19
	INSTALL_RPATH "${LIBRARY_INSTALL_RPATH}"
	# By default the name for a library with target name epan will be libepan,
	# but Ethereal is now named Wireshark
	OUTPUT_NAME "wireshark"
	PREFIX "lib"
	FOLDER "DLLs"
)
if(MSVC)
	set_target_properties(epan PROPERTIES LINK_FLAGS_DEBUG "${WS_MSVC_DEBUG_LINK_FLAGS}")
endif()

target_link_libraries(epan
	PUBLIC
		wsutil
		${GLIB2_LIBRARIES}
	PRIVATE
		wiretap
		${BROTLI_LIBRARIES}
		${CARES_LIBRARIES}
		${GCRYPT_LIBRARIES}
		${GIO2_LIBRARIES}
		${GNUTLS_LIBRARIES}
		${KERBEROS_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${LUA_LIBRARIES}
		${LZ4_LIBRARIES}
		${M_LIBRARIES}
		${NGHTTP2_LIBRARIES}
		${NGHTTP3_LIBRARIES}
		${SMI_LIBRARIES}
		${SNAPPY_LIBRARIES}
		${WIN_PSAPI_LIBRARY}
		${WIN_WS2_32_LIBRARY}
		${XXHASH_LIBRARIES}
		${ZLIB_LIBRARIES}
		${ZLIBNG_LIBRARIES}
		${ZSTD_LIBRARIES}
		$<$<BOOL:${LUA_FOUND}>:lrexlib>
)

target_include_directories(epan
	SYSTEM PUBLIC
		${GLIB2_INCLUDE_DIRS}
)

target_include_directories(epan
	INTERFACE
		$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>
		$<INSTALL_INTERFACE:include/wireshark>
)

target_include_directories(epan
	SYSTEM PRIVATE
		${BROTLI_INCLUDE_DIRS}
		${CARES_INCLUDE_DIRS}
		${GCRYPT_INCLUDE_DIRS}
		${GLIB2_INCLUDE_DIRS}
		${GNUTLS_INCLUDE_DIRS}
		${LIBXML2_INCLUDE_DIRS}
		${LUA_INCLUDE_DIRS}
		${LZ4_INCLUDE_DIRS}
		${NGHTTP2_INCLUDE_DIRS}
		${NGHTTP3_INCLUDE_DIRS}
		${SMI_INCLUDE_DIRS}
		${SNAPPY_INCLUDE_DIRS}
		${ZLIB_INCLUDE_DIRS}
		${ZLIBNG_INCLUDE_DIRS}
		${ZSTD_INCLUDE_DIRS}
	PRIVATE
		${CMAKE_CURRENT_BINARY_DIR}
		${CMAKE_CURRENT_SOURCE_DIR}
)

add_dependencies(epan lemon)

install(TARGETS epan
	EXPORT WiresharkTargets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${LIBWIRESHARK_PUBLIC_HEADERS}
	DESTINATION "${PROJECT_INSTALL_INCLUDEDIR}/epan"
	COMPONENT "Development"
	EXCLUDE_FROM_ALL
)

add_executable(exntest EXCLUDE_FROM_ALL exntest.c except.c)
target_link_libraries(exntest epan)
set_target_properties(exntest PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(fifo_string_cache_test EXCLUDE_FROM_ALL fifo_string_cache_test.c)
target_link_libraries(fifo_string_cache_test epan)
set_target_properties(fifo_string_cache_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(oids_test EXCLUDE_FROM_ALL oids_test.c)
target_link_libraries(oids_test epan)
set_target_properties(oids_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(reassemble_test EXCLUDE_FROM_ALL reassemble_test.c)
target_link_libraries(reassemble_test epan)
set_target_properties(reassemble_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(tvbtest EXCLUDE_FROM_ALL tvbtest.c)
target_link_libraries(tvbtest epan)
set_target_properties(tvbtest PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(wscbor_test EXCLUDE_FROM_ALL wscbor_test.c)
target_link_libraries(wscbor_test epan)
set_target_properties(wscbor_test PROPERTIES
    FOLDER "Tests"
    EXCLUDE_FROM_DEFAULT_BUILD True
    COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(wscbor_enc_test EXCLUDE_FROM_ALL wscbor_enc_test.c)
target_link_libraries(wscbor_enc_test epan)
set_target_properties(wscbor_enc_test PROPERTIES
    FOLDER "Tests"
    EXCLUDE_FROM_DEFAULT_BUILD True
    COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(test_epan EXCLUDE_FROM_ALL test_epan.c)
target_link_libraries(test_epan epan)
set_target_properties(test_epan PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

CHECKAPI(
	NAME
	  epan
	SWITCHES
	SOURCES
	  ${LIBWIRESHARK_NONGENERATED_FILES}
)

#
# Editor modelines  -  https://www.wireshark.org/tools/modelines.html
#
# Local variables:
# c-basic-offset: 8
# tab-width: 8
# indent-tabs-mode: t
# End:
#
# vi: set shiftwidth=8 tabstop=8 noexpandtab:
# :indentSize=8:tabSize=8:noTabs=false:
#

=== debian/changelog ===
wireshark (4.6.3-1) unstable; urgency=medium

  [ Jonathan Bustillos ]
  * Update Spanish translation of the debconf template (Closes: #1092296)

  [ Jenny ]
  * Update Italian debconf template translation (Closes: #1108500)

  [ Balint Reczey ]
  * Move maintenance under the Debian Security Tools Team
  * stratoshark: Append .0.unofficial to upstream version, because
    upstream did not bump it
  * New upstream release
    - security fixes (Closes: #1125690):
      * BLF file parser crash (CVE-2026-0961)
      * IEEE 802.11 dissector crash (CVE-2026-0959)
      * SOME/IP-SD dissector crash (CVE-2026-0962)
      * HTTP3 dissector infinite loop (CVE-2026-0960)
  * Drop ABI fixing patch integrated upstream
  * Stop overriding obsolete library-not-linked-against-libc Lintian error

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 15 Jan 2026 20:48:43 +0100

=== debian/control ===
Source: wireshark
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: net
Priority: optional
Build-Depends: asciidoctor,
               cmake (>= 3.5),
               debhelper (>= 12),
               dh-python,
               docbook-xml,
               docbook-xsl,
               flex,
               libbcg729-dev,
               libbrotli-dev,
               libcap2-dev | libcap-dev,
               libc-ares-dev,
               libfalcosecurity0-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x], uthash-dev,
               libgcrypt-dev,
               libglib2.0-dev,
               libgnutls28-dev,
               libkrb5-dev,
               liblua5.4-dev | liblua5.3-dev,
               liblz4-dev,
               libmaxminddb-dev,
               libminizip-dev,
               libnghttp2-dev,
               libnghttp3-dev,
               libnl-genl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libopencore-amrnb-dev,
               libopus-dev,
               libparse-yapp-perl,
               libpcap0.8-dev,
               libsbc-dev,
               libsmi2-dev,
               libsnappy-dev,
               libspandsp-dev,
               libspeexdsp-dev,
               libssh-dev,
               libsystemd-dev,
               libxkbcommon-dev,
               libxml2-dev,
               libxml2-utils,
               libz-dev,
               libzstd-dev,
               lsb-release,
               po-debconf,
               python3,
               python3-ply,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-multimedia-dev,
               qt6-tools-dev,
               xsltproc
Build-Conflicts: libsnmp4.2-dev,
                 libsnmp-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wireshark
Vcs-Git: https://salsa.debian.org/debian/wireshark.git -b debian/master
Homepage: https://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireshark19 (>= ${binary:Version}),
         libwiretap16 (>= ${binary:Version}),
         debconf,
         libcap2-bin [linux-any]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Breaks: wireshark (<< 2.0.0~),
        wireshark-gtk (<< 3.0.0),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Replaces: wireshark (<< 2.0.0~),
          wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark and tshark
 (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wireshark-common (= ${binary:Version}),
         libqt6svg6,
         qt6-qpa-plugins
Recommends: libqt6multimedia6
Conflicts: wireshark-qt (<< 4.4~),
        wireshark-gtk (<< 3.0.0~)
Breaks: libwireshark-data (<< 4.4.3-2~)
Replaces: libwireshark-data (<< 4.4.3-2~),
          wireshark-qt (<< 4.4~),
          wireshark-gtk (<< 3.0.0~)
Description: network traffic analyzer - graphical interface
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wireshark-common (= ${binary:Version})
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         omniidl,
         libpcap0.8-dev,
         ${python3:Depends},
         python3-ply,
         esnacc,
         libwireshark-dev,
         libwiretap-dev
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark19
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireshark-data (>= ${source:Version}),
         libwsutil17 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil17
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.

Package: libwsutil-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libwsutil17 (= ${binary:Version})
Breaks: libwireshark-dev (<< 3.7.0~)
Replaces: libwireshark-dev (<< 3.7.0~)
Description: network packet dissection utilities library -- development files
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Suggests: geoipupdate,
          geoip-database,
          geoip-database-extra,
          libjs-leaflet,
          libjs-leaflet.markercluster,
          snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libglib2.0-dev,
         libwsutil-dev,
         libwiretap-dev,
         libwireshark19 (= ${binary:Version})
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap16
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libwiretap16 (= ${binary:Version})
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

Package: stratoshark
Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wireshark-common (>= ${source:Version}),
         libqt6svg6,
         qt6-qpa-plugins
Recommends: libqt6multimedia6
Suggests: falcosecurity-scap-dkms
Description: system call and log analyzer - graphical and console interfaces
 Stratoshark is a system call and log analyzer. It can capture and analyze
 system calls on Linux and capture and analyze log data from other sources.
 .
 The package provides stratoshark as the graphical interface and strato
 as the console interface.

=== debian/rules ===
#!/usr/bin/make -f
# Originally made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Rewritten to use dh, by Balint Reczey

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

QT6_BUILD_DEPS = qt6-5compat-dev, qt6-base-dev, qt6-base-dev-tools, qt6-multimedia-dev, qt6-tools-dev
QT6_DEPS = libqt6svg6,\n         qt6-qpa-plugins
QT6_RECOMMENDS = libqt6multimedia6
QT5_BUILD_DEPS = qtbase5-dev, qtbase5-dev-tools, qtbase5-dev-tools, qtmultimedia5-dev, qttools5-dev
QT5_DEPS = libqt5svg5
QT5_RECOMMENDS = libqt5multimedia5-plugins
STRATOSHARK_BUILD_DEPS = libfalcosecurity0-dev [$(shell sed -n 's/^Architecture: //p' debian/control.stratoshark.in)], uthash-dev

CONTROL_IN_SED_CMD =
ifneq ($(filter jammy,$(DEB_DISTRIBUTION)),)
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@QT_BUILD_DEPS@/$(QT5_BUILD_DEPS)/;s/@QT_DEPS@/$(QT5_DEPS)/;s/@QT_RECOMMENDS@/$(QT5_RECOMMENDS)/;s/, qt/,\\n               qt/g;
else
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@QT_BUILD_DEPS@/$(QT6_BUILD_DEPS)/;s/@QT_DEPS@/$(QT6_DEPS)/;s/@QT_RECOMMENDS@/$(QT6_RECOMMENDS)/;s/, qt/,\\n               qt/g;
endif

# work around #1115719
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/falcosecurity

ifneq ($(filter jammy noble,$(DEB_DISTRIBUTION)),)
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/^ *@STRATOSHARK_BUILD_DEPS@/\# $(STRATOSHARK_BUILD_DEPS)/;
CONTROL_STRATOSHARK_IN =
else
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@STRATOSHARK_BUILD_DEPS@/$(STRATOSHARK_BUILD_DEPS)/;
CONTROL_STRATOSHARK_IN = debian/control.stratoshark.in
ifneq (,$(filter $(shell sed -n 's/^Architecture: //p' debian/control.stratoshark.in),$(DEB_HOST_ARCH)))
CONFIGURE_STRATOSHARK = -DBUILD_stratoshark=ON -DBUILD_falcodump=ON
endif
endif


# TODO: To be removed after https://gitlab.com/wireshark/wireshark/-/merge_requests/22733 is merged.
export STRATOSHARK_VERSION_EXTRA = .0.unofficial

# TODO: Update after https://gitlab.com/wireshark/wireshark/-/merge_requests/22733 is merged.
STRATOSHARK_MAJOR_VERSION = $(shell grep '^set(STRATOSHARK_MAJOR_VERSION' CMakeLists.txt | sed -e 's/set.* //' -e 's/)//')
STRATOSHARK_MINOR_VERSION = $(shell grep '^set(STRATOSHARK_MINOR_VERSION' CMakeLists.txt | sed -e 's/set.* //' -e 's/)//')
STRATOSHARK_PATCH_VERSION = $(shell grep '^set(STRATOSHARK_PATCH_VERSION' CMakeLists.txt | sed -e 's/set.* //' -e 's/)//')
STRATOSHARK_VERSION = $(STRATOSHARK_MAJOR_VERSION).$(STRATOSHARK_MINOR_VERSION).$(STRATOSHARK_PATCH_VERSION)$(STRATOSHARK_VERSION_EXTRA)$(shell echo $(DEB_VERSION) | sed 's/[^-]*//')

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export docdir = /usr/share/doc/wireshark-doc
%:
	dh $@ --with python3 --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_xxx2deb=ON -DBUILD_corbaidl2wrs=ON \
		-DVCSVERSION_OVERRIDE="Git v$(DEB_VERSION_UPSTREAM) packaged as $(DEB_VERSION)" \
		-DUSE_qt6=$$(if grep -q qt6-base-dev debian/control; then echo ON; else echo OFF; fi) \
		$(CONFIGURE_STRATOSHARK)

override_dh_auto_build-arch:
	# regenerate ASN.1 dissectors
	# Ignore warnings from asn2wrs.py about duplicate field names.
	PYTHONWARNINGS='ignore:The same:UserWarning::0' \
	$(MAKE) -C $(CURDIR)/obj-* asn1
	dh_auto_build -a

override_dh_auto_build-indep:
	# Ignore warnings from asn2wrs.py about duplicate field names.
	PYTHONWARNINGS='ignore:The same:UserWarning::0' \
	$(MAKE) -C $(CURDIR)/obj-* asn1
	dh_auto_build -i
	$(MAKE) -C $(CURDIR)/obj-* user_guide_html developer_guide_html
	# fix links in documentation
	sed -i "s|$(CURDIR)/doc|..|" obj-*/doc/ws*g_html_chunked/*.html

override_dh_dwz:
	# run dh_dwz only with debhelper (>= 12.6) to work around https://bugs.debian.org/939164
	dpkg -l debhelper | awk '/debhelper/ {print $$3}' | xargs dpkg --compare-versions 12.6 gt || dh_dwz

override_dh_auto_install-arch:
	dh_auto_install -a
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C $(CURDIR)/obj-* install-headers
	# fixes #1068410, can be dropped in wireshark 4.4
	cp epan/dfilter/dfilter-loc.h debian/tmp/usr/include/wireshark/epan/dfilter/
	rm -f debian/*.shlibs
	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/

override_dh_auto_install-indep:
	dh_auto_install -i
	rm -rf $(CURDIR)/debian/tmp/usr/share/doc/wireshark/COPYING
	cp debian/license-text-about-dialog $(CURDIR)/debian/tmp/usr/share/wireshark/ABOUT.GPL

override_dh_install-arch:
	dh_install -a
	# check all necessary headers are included
	$(CC) -c debian/headers-check.c $(shell pkg-config --cflags glib-2.0) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS) -Idebian/libwireshark-dev/usr/include -Idebian/libwireshark-dev/usr/include/wireshark -Idebian/libwiretap-dev/usr/include/wireshark -Idebian/libwsutil-dev/usr/include -Idebian/libwsutil-dev/usr/include/wireshark -o /dev/null

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 debian/wireshark-dev/usr/share/pyshared/make-plugin-reg.py \
		debian/wireshark-dev/usr/share/pyshared/wireshark_be.py \
		debian/wireshark-dev/usr/share/pyshared/wireshark_gen.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C obj-* test-programs
ifneq (,$(filter hppa m68k powerpc ppc64 sparc64 s390x,$(DEB_HOST_ARCH)))
	# reported as https://gitlab.com/wireshark/wireshark/-/issues/15945
	-env LC_ALL=C.UTF-8 dh_auto_test
else
	env LC_ALL=C.UTF-8 dh_auto_test
endif
endif

override_dh_clean:
	dh_clean -- debian/control
	# regenerate debian/control
	sed "$(CONTROL_IN_SED_CMD)" debian/control.in $(CONTROL_STRATOSHARK_IN) > debian/control
	# ignore #653916
	@echo 'blhc: ignore-line-regexp: .*CMakeCXXCompilerABI.cpp .*'

override_dh_gencontrol:
	-dh_gencontrol -pstratoshark -- -v$(STRATOSHARK_VERSION)
	dh_gencontrol --remaining-packages
